#!/bin/sh
set -e

table_path=daily_infections_table.txt

# Re-build infections table.
./scrape.py > "${table_path}"

# Write enhanced table output to directory served by web server.
#
# Use intermediate /tmp/ step so we don't overwrite a valid previous output with
# the emptiness delivered to stdout on any error, before such an error would
# kill this script due to "set -e".
./enhance_table.py "${table_path}" html > /tmp/berlin_corona.html
./enhance_table.py "${table_path}" txt > /tmp/berlin_corona.txt
mv /tmp/berlin_corona.html /var/www/html/
mv /tmp/berlin_corona.txt /var/www/html/
